Package org.bukkit.structure

# Interface Palette

public interface Palette
Represent a variation of a structure. Most structures, like the ones generated with structure blocks, only have a single variant.

## Method Summary

Modifier and Type
Method
Description
`int`
`getBlockCount()`
Gets the number of blocks stored in this palette.
`@NotNull List<BlockState>`
`getBlocks()`
Gets a copy of the blocks this Palette is made of.

## Method Details

### getBlocks

@NotNull @NotNull List<BlockState> getBlocks()
Gets a copy of the blocks this Palette is made of. The `positions` of the returned block states are offsets relative to the structure's position that is provided once the structure is placed into the world.

Returns:
  The blocks in this palette

### getBlockCount

int getBlockCount()
Gets the number of blocks stored in this palette.

Returns:
  The number of blocks in this palette